Package org.globus.gsi.proxy

# Interface ProxyPolicyHandler

All Known Implementing Classes:
  `IgnoreProxyPolicyHandler`

public interface ProxyPolicyHandler
A restricted proxy policy handler interface. All policy handlers must implement this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index)`

## Method Details

### validate

void validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index) throws CertPathValidatorException

Parameters:
  `proxyCertInfo` - the `ProxyCertInfo` extension found in the restricted proxy certificate.
  `certPath` - the certificate path being validated.
  `index` - the index of the certificate in the certPath that is being validated - the index of the restricted proxy certificate.
Throws:
  `CertPathValidatorException` - if policy validation fails.